import { projectConfig } from '@/assets/mock'
import { current } from '@/api/ClientInfo'

// 八分场底牌车间200立方

const company = {
  state: {
    clientCode: '',
    companyName: '',
    factoryName: '',
    acquisitionStationId: null
  },

  mutations: {
    SET_ACQUISITION_STATION_ID: (state, payload) => {
      state.acquisitionStationId = payload
    },
    SET_CLIENT_CODE: (state, payload) => {
      state.clientCode = payload.code
      state.companyName = payload.company
      state.factoryName = payload.desc
    },
  },

  actions: {
    getClientCode({ commit }) {
      current().then(res => {
        if (res && res.code === '200') {
          commit('SET_CLIENT_CODE', res.data)
        }
      })
    },
  }
}

export default company
